# frozen_string_literal: true

####################
# Standard library #
####################

require 'logger'
require 'pathname'

########
# Gems #
########

require 'erb'
require 'json'
require 'puma'
require 'rack'
require 'rack/handler/puma'
require 'rack/protection'

################
# Own requires #
################

require_relative 'diversipub/main'
require_relative 'diversipub/puma_task'
require_relative 'diversipub/rack_app'
require_relative 'diversipub/version'

##
# A publishing platform for HTTP, Gemini, ActivityPub, RSS, Atom, and others.
#
module Diversipub
end
